Scheduled Events
Cancel a Scheduled Event
Cancel a scheduled Zeeg event by UUID. Notifies all invitees and hosts and marks the event as cancelled in the system.
PUT
/
scheduled-events
/
{uuid}
/
cancel
Cancel a scheduled event
curl --request PUT \
--url https://api.zeeg.me/v2/scheduled-events/{uuid}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancellationReason": "Sorry, due to an unforeseen event, I have to cancel our meeting."
}
'import requests
url = "https://api.zeeg.me/v2/scheduled-events/{uuid}/cancel"
payload = { "cancellationReason": "Sorry, due to an unforeseen event, I have to cancel our meeting." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cancellationReason: 'Sorry, due to an unforeseen event, I have to cancel our meeting.'
})
};
fetch('https://api.zeeg.me/v2/scheduled-events/{uuid}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Event cancelled successfully.",
"status": 200
}{
"success": false,
"message": "Event has already been cancelled!",
"status": 400
}{
"message": "Unauthenticated."
}{
"success": false,
"message": "You cannot access this resource.",
"status": 403
}{
"error": "Entry for Event not found"
}Authorizations
Path Parameters
UUID of a specific scheduled event (zg-XXX format)
Example:
"zg-O69bac566950c6"
Body
application/json
Optional reason for cancelling the event.
Maximum string length:
512Last modified on April 29, 2026
⌘I
Cancel a scheduled event
